<?php

namespace Ulmus\Annotation\Property;

class Join implements \Ulmus\Annotation\Annotation {

    public string $type;
    
    public /*string|Stringable*/ $key;
    
    public /*string|Stringable*/ $foreignKey;
    
    public string $entity;

    public string $alias;
    
    public function __construct(? string $type = null, /*? string|Stringable*/ $key = null, /*? string|Stringable*/ $foreignKey = null)
    {
        if ($type !== null) {
            $this->type = $type;
        }
        
        if ($key !== null) {
            $this->key = $key;
        }
        
        if ($foreignKey !== null) {
            $this->foreignKey = $foreignKey;
        }
    }
}
