<?php

namespace Ulmus\Entity\Sqlite;

use Ulmus\Repository;

class Table extends Schema
{
    public static function repository(string $alias = Repository::DEFAULT_ALIAS): Repository
    {
        return new class(static::class, $alias) extends Repository\SqliteRepository
        {
            public function finalizeQuery(): void
            {
                $this->select(Table::field('tableName'))->groupBy(Table::field('tableName'));
            }
        };
    }
}